<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');

$procedencia=$_GET['procedencia'];

switch($procedencia){
	case 'CIERREOPREP':
		$titulo='Nº Orden de Preparación';
		break;
}

?>
<h2>Imprimir documentación</h2>

<p style="margin-top:40px"><?php echo $titulo; ?>:
	<div class="campoOrdenPreparacionBloque" style="margin:0 auto">
        <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoNumOrden" /><input name="numOrden" type="text" class="campo campoOrdenPreparacion" id="numOrden" maxlength="14" style="left:5px;"/>
        <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarNumOrden" style="position:absolute;right:5px;cursor:pointer;"/>
    </div>
</p>

<?php if(count($_SESSION['empresasGrupo'])>1) { ?>
    <p>Empresa:<br />
    <select name="empresa" id="empresa" class="campo">
    	<option value="" selected="selected">---</option>
        <?php foreach($_SESSION['empresasGrupo'] as $empresa) { ?>
        <option value="<?php echo $empresa['Codigo']; ?>" <?php if($empresa['Codigo']==$_GET['empresa']) { ?>selected<?php } ?>><?php echo $empresa['Nombre']; ?></option>
		<?php } ?>
	</select>
    </p>
<?php } else { ?>
	<input type="hidden" name="empresa" id="empresa" value="<?php echo $_SESSION['empresa']; ?>"/>
<?php } ?>

<script>

$(document).ready(function() {

	$(document).on('change','#numOrden',function(){
		
		var numOrden=$('#numOrden').val();
		var empresa=$('#empresa').val();

		if(numOrden!='') {
			$('#popupCargando').show();
			window.location='<?php echo $rutaHtml; ?>/documentos-imprimir.php?procedencia=<?php echo $procedencia; ?>&subprocedencia=selector&numOrden='+numOrden+'&empresa='+empresa;	
		}
		
	});
			
	$(document).on('click','#tecladoNumOrden',function(){
		$('#teclado').show();
		$('#valor').val( $('#numOrden').val() );
		$('#valorOculto').val( $('#numOrden').val() );
		$('#enter').attr('campoValor','numOrden');
		$('#enter').attr('forzarEnter','si');	
	});
			
	$(document).on('click','#borrarNumOrden',function(){
		$("#numOrden").val('');
		$("#numOrden").focus();		
	});
	
	$('#numOrden').focus();

});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
